// JavaScript Document

function getSaveValue() {
    var saveidfrom = document.getElementById("saveidfrom").value;
    if (saveidfrom != "-1") {
        //get savefrom value
        $.ajax({
            url: 'transfermoneyAjaxController.php?do=getSaveValue&saveidfrom=' + saveidfrom,
            success: function (x) {
                x = Number(x);
                if ($('#savecurrentvalue').val()) {
                    document.getElementById("savecurrentvalue").value = x;
                    document.getElementById("saveclosevalue").value = x;
                }
                $('#savefromVal').val(x);
            }
        });
    } else {
        $("#savecurrentvalue").val(0);
        $("#saveclosevalue").val(0);
        $("#saveaftervalue").val(0);
        $('#savefromVal').val(0);
    }
}

//$('#saveclosevalue').on('keyup', function () {
//    var savebefore = $('#savefromVal').val();
//    var value = $(this).val();
//    var after = savebefore - value;
//    if (after < 0 || after > savebefore) {
//        $('#saveclosevalue').val(savebefore);
//        $('#saveaftervalue').val(0);
//    }
//    else {
//        $('#saveaftervalue').val(after);
//    }
//});

$('#saveCloseBtn').live('click', function (e) {
    var savefrom = $('#savefromVal').val();
    var value = $('#saveclosevalue').val();
    value = value.trim();
    if (savefrom == '-1') {
        $('#fromError').show();
        $('#fromError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 69px;'>*اختر خزنة</p>");
    } else if (value == '' || value <= 0) {//|| value > savefrom
        $('#fromError').hide();
        $('#toError').hide();
        $('#valueError').show();
        $('#valueError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 120px;'>*ادخل قيمة صحيحة</p>");
    } else if (value.length > 0) {
        $('#fromError').hide();
        $('#toError').hide();
        $('#valueError').hide();
        $('#mySaveCloseform').submit();
        $('#saveCloseBtn').attr("disabled", true);
    }
});

$(function () {
    if ($('#saveidfrom').val() > 0) {
        $('#saveidfrom').change();
    }
});